Announce in-/outlet functions
Flext in-/outlet functions

## Functions

void | flext_base::AddInAnything (int m=1)
| Add inlet(s) for anythings. More...
void | flext_base::AddInAnything (const char *desc, int m=1)
| Add inlet(s) for anythings (with description) More...
void | flext_base::AddInFloat (int m=1)
| Add inlet(s) for floats. More...
void | flext_base::AddInFloat (const char *desc, int m=1)
| Add inlet(s) for floats (with description) More...
void | flext_base::AddInInt (int m=1)
| Add inlet(s) for integers. More...
void | flext_base::AddInInt (const char *desc, int m=1)
| Add inlet(s) for integers (with description) More...
void | flext_base::AddInSymbol (int m=1)
| Add inlet(s) for symbols. More...
void | flext_base::AddInSymbol (const char *desc, int m=1)
| Add inlet(s) for symbol (with description) More...
void | flext_base::AddInBang (int m=1)
| Add inlet(s) for bang. More...
void | flext_base::AddInBang (const char *desc, int m=1)
| Add inlet(s) for bangs (with description) More...
void | flext_base::AddInList (int m=1)
| Add inlet(s) for lists. More...
void | flext_base::AddInList (const char *desc, int m=1)
| Add inlet(s) for lists (with description) More...
void | flext_base::AddOutAnything (int m=1)
| Add outlet(s) for anythings. More...
void | flext_base::AddOutAnything (const char *desc, int m=1)
| Add outlet(s) for anythings (with description) More...
void | flext_base::AddOutFloat (int m=1)
| Add outlet(s) for floats. More...
void | flext_base::AddOutFloat (const char *desc, int m=1)
| Add outlet(s) for floats (with description) More...
void | flext_base::AddOutInt (int m=1)
| Add outlet(s) for integers. More...
void | flext_base::AddOutInt (const char *desc, int m=1)
| Add outlet(s) for integers (with description) More...
void | flext_base::AddOutSymbol (int m=1)
| Add outlet(s) for symbols. More...
void | flext_base::AddOutSymbol (const char *desc, int m=1)
| Add outlet(s) for symbols (with description) More...
void | flext_base::AddOutBang (int m=1)
| Add outlet(s) for bangs. More...
void | flext_base::AddOutBang (const char *desc, int m=1)
| Add outlet(s) for bangs (with description) More...
void | flext_base::AddOutList (int m=1)
| Add outlet(s) for lists. More...
void | flext_base::AddOutList (const char *desc, int m=1)
| Add outlet(s) for lists (with description) More...
bool | flext_base::SetupInOut ()

## Detailed Description

## Function Documentation

## AddInAnything() [1/2]

void flext_base::AddInAnything | ( | int | m = `1` | ) |

inline

Add inlet(s) for anythings.

Remarks
  That's the one to choose for the left-most (first) inlet unless it's a signal inlet.

## AddInAnything() [2/2]

void flext_base::AddInAnything | ( | const char * | desc,
|  | int | m = `1`
| ) |  |

inline

Add inlet(s) for anythings (with description)

Remarks
  That's the one to choose for the left-most (first) inlet unless it's a signal inlet.

## AddInBang() [1/2]

void flext_base::AddInBang | ( | int | m = `1` | ) |

inline

Add inlet(s) for bang.

## AddInBang() [2/2]

void flext_base::AddInBang | ( | const char * | desc,
|  | int | m = `1`
| ) |  |

inline

Add inlet(s) for bangs (with description)

## AddInFloat() [1/2]

void flext_base::AddInFloat | ( | int | m = `1` | ) |

inline

Add inlet(s) for floats.

## AddInFloat() [2/2]

void flext_base::AddInFloat | ( | const char * | desc,
|  | int | m = `1`
| ) |  |

inline

Add inlet(s) for floats (with description)

## AddInInt() [1/2]

void flext_base::AddInInt | ( | int | m = `1` | ) |

inline

Add inlet(s) for integers.

## AddInInt() [2/2]

void flext_base::AddInInt | ( | const char * | desc,
|  | int | m = `1`
| ) |  |

inline

Add inlet(s) for integers (with description)

## AddInList() [1/2]

void flext_base::AddInList | ( | int | m = `1` | ) |

inline

Add inlet(s) for lists.

## AddInList() [2/2]

void flext_base::AddInList | ( | const char * | desc,
|  | int | m = `1`
| ) |  |

inline

Add inlet(s) for lists (with description)

## AddInSymbol() [1/2]

void flext_base::AddInSymbol | ( | int | m = `1` | ) |

inline

Add inlet(s) for symbols.

## AddInSymbol() [2/2]

void flext_base::AddInSymbol | ( | const char * | desc,
|  | int | m = `1`
| ) |  |

inline

Add inlet(s) for symbol (with description)

## AddOutAnything() [1/2]

void flext_base::AddOutAnything | ( | int | m = `1` | ) |

inline

Add outlet(s) for anythings.

## AddOutAnything() [2/2]

void flext_base::AddOutAnything | ( | const char * | desc,
|  | int | m = `1`
| ) |  |

inline

Add outlet(s) for anythings (with description)

## AddOutBang() [1/2]

void flext_base::AddOutBang | ( | int | m = `1` | ) |

inline

Add outlet(s) for bangs.

## AddOutBang() [2/2]

void flext_base::AddOutBang | ( | const char * | desc,
|  | int | m = `1`
| ) |  |

inline

Add outlet(s) for bangs (with description)

## AddOutFloat() [1/2]

void flext_base::AddOutFloat | ( | int | m = `1` | ) |

inline

Add outlet(s) for floats.

## AddOutFloat() [2/2]

void flext_base::AddOutFloat | ( | const char * | desc,
|  | int | m = `1`
| ) |  |

inline

Add outlet(s) for floats (with description)

## AddOutInt() [1/2]

void flext_base::AddOutInt | ( | int | m = `1` | ) |

inline

Add outlet(s) for integers.

## AddOutInt() [2/2]

void flext_base::AddOutInt | ( | const char * | desc,
|  | int | m = `1`
| ) |  |

inline

Add outlet(s) for integers (with description)

## AddOutList() [1/2]

void flext_base::AddOutList | ( | int | m = `1` | ) |

inline

Add outlet(s) for lists.

## AddOutList() [2/2]

void flext_base::AddOutList | ( | const char * | desc,
|  | int | m = `1`
| ) |  |

inline

Add outlet(s) for lists (with description)

## AddOutSymbol() [1/2]

void flext_base::AddOutSymbol | ( | int | m = `1` | ) |

inline

Add outlet(s) for symbols.

## AddOutSymbol() [2/2]

void flext_base::AddOutSymbol | ( | const char * | desc,
|  | int | m = `1`
| ) |  |

inline

Add outlet(s) for symbols (with description)

## SetupInOut()

bool flext_base::SetupInOut | ( |  | ) |

inline

Deprecated:
  inlets and outlets are now set up automatically